package ${groupId};

import net.phaedra.persistence.SessionManager;
import net.phaedra.persistence.SessionManagerFactory;
import net.phaedra.persistence.jpa.JpaRepository;
import net.phaedra.webapp.BasicWebApplication;
import net.phaedra.webapp.DataRequestCycle;
import net.phaedra.webapp.security.LoginPage;

import org.apache.wicket.Page;
import org.apache.wicket.Request;
import org.apache.wicket.Response;
import org.apache.wicket.protocol.http.WebRequest;
import org.apache.wicket.protocol.http.WebRequestCycle;

public class DefaultApp extends BasicWebApplication {

   @Override
   protected void init() {
      super.init();
      logger.info("application is starting up!");

   }

   @Override
   public Class getLoginPage() {
      return LoginPage.class;
   }

   @Override
   public Class<? extends Page> getHomePage() {
      return DefaultHomePage.class;
   }

   @Override
   public WebRequestCycle newRequestCycle(Request request, Response response) {
      return new DataRequestCycle(this, (WebRequest) request, response);
   }

   @Override
   protected void configureSessionManager() {
      JpaRepository.persistentUnit = "phaedra-test";
      SessionManagerFactory.set(SessionManager.JPA);
   }

}
